Bug 120914 - [patch] proposed fix to rc.shutdown to turn off the mixed buffer messages with an rc.conf tuneable
Summary: [patch] proposed fix to rc.shutdown to turn off the mixed buffer messages wit...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gavin Atkinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-20 19:30 UTC by kamikaze
Modified: 2008-02-25 18:28 UTC (History)
0 users

See Also:


Attachments
file.diff (705 bytes, patch)
2008-02-20 19:30 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2008-02-20 19:30:02 UTC
On multicore machines several buffers simultaneously write to the screen and produce unreadable output.

How-To-Repeat: Apply the patch and add

shutdown_clean_enable="YES"

to your /etc/rc.conf.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-02-20 21:10:59 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-rc

Over to maintainer(s).
Comment 2 kamikaze 2008-02-22 20:52:53 UTC
You can reject this. It doesn't work reliably.

Apparently it sometimes takes too long to move all processes off the 
deactivated core.

Sorry for the noise.
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2008-02-25 18:27:52 UTC
State Changed
From-To: open->closed

Submitter requested this be closed. 


Comment 4 Gavin Atkinson freebsd_committer freebsd_triage 2008-02-25 18:27:52 UTC
Responsible Changed
From-To: freebsd-rc->gavin

Take